SSLContexts (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.ssl
Class SSLContexts

    java.lang.Object
      org.apache.http.conn.ssl.SSLContexts

Deprecated. (4.4) use `SSLContexts`.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class SSLContexts

extends Object

`SSLContext` factory methods.

Since:
  4.3

Constructor Summary
`SSLContexts()` Deprecated.

Method Summary
`static SSLContext` | `createDefault()` Deprecated. Creates default factory based on the standard JSSE trust material (`cacerts` file in the security properties directory).
`static SSLContext` | `createSystemDefault()` Deprecated. Creates default SSL context based on system properties.
`static SSLContextBuilder` | `custom()` Deprecated. Creates custom SSL context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLContexts

    public SSLContexts()

  Deprecated.

Method Detail

### createDefault

    public static SSLContext createDefault()
                                    throws SSLInitializationException

  Deprecated.
  Creates default factory based on the standard JSSE trust material (`cacerts` file in the security properties directory). System properties are not taken into consideration.

  Returns:
    the default SSL socket factory
  Throws:
    `SSLInitializationException`

### createSystemDefault

    public static SSLContext createSystemDefault()
                                          throws SSLInitializationException

  Deprecated.
  Creates default SSL context based on system properties. This method obtains default SSL context by calling `SSLContext.getInstance("Default")`. Please note that `Default` algorithm is supported as of Java 6. This method will fall back onto `createDefault()` when `Default` algorithm is not available.

  Returns:
    default system SSL context
  Throws:
    `SSLInitializationException`

### custom

    public static SSLContextBuilder custom()

  Deprecated.
  Creates custom SSL context.

  Returns:
    default system SSL context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.